httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jim Jagielski <...@jaguNET.com>
Subject Re: [Vote] httpd 2.2.22 release
Date Wed, 25 Jan 2012 23:25:02 GMT

On Jan 25, 2012, at 6:05 PM, William A. Rowe Jr. wrote:

> On 1/25/2012 4:59 PM, William A. Rowe Jr. wrote:
>> Candidate binaries are available from http://httpd.apache.org/dev/dist/ -
>> these do not yet constitute ASF releases.  Win32 specific artifacts
>> (x86 binary distribution and -win32-src.zip) will follow shortly, once
>> I fix the release.sh breakage.
>> 
>> There are two considerations, as Jim pointed out.  First a choice;
>> 
>> [X]  Include apr-util 1.4.1 in any httpd 2.2.x
>> [ ]  Remain at apr-util 1.3.12 in any httpd 2.2.x
> 
> My preference; as explained in a note to Jim;
> 
> Shipping APU 1.3.x means that current httpd 2.4 packages would
> be broken with an httpd 2.2 install.  Not cool.
> 

As you know, there are no httpd 2.4 packages. Also, -deps is
an optional package for 2.4.x, and so although we provide
it, we don't know what versions people may or may not be
using... With 2.2, the "dependency" in much tighter.

As far as whether or not 2.2.x continues w/ apu-1.3 or moves
to apu-1.4, all I wanted was the *group* to decide, not
it just happen by a hidden fiat.

Anyway, my vote:

   [X]  Include apr-util 1.4.x in any httpd 2.2.x

With this specifically mentioned in the release announcement
(yes, we do list which versions, but it would be nice if we said:

    This release includes the Apache Portable Runtime (APR)
    version 1.4.5 and APR Utility Library (APR-util) version
    1.3.12, bundled with the tar and zip distributions. Previous
    versions of Apache httpd bundled APR-util 1.3.x.....
)

This is so we pre-warn people, just in case.

Mime
View raw message